org.apache.hadoop.yarn.util.constraint

## Class PlacementConstraintParser.ConjunctionConstraintParser

- java.lang.Object
- - org.apache.hadoop.yarn.util.constraint.PlacementConstraintParser.ConstraintParser
  - - org.apache.hadoop.yarn.util.constraint.PlacementConstraintParser.ConjunctionConstraintParser

- Enclosing class:
    PlacementConstraintParser

      public static class PlacementConstraintParser.ConjunctionConstraintParser
      extends PlacementConstraintParser.ConstraintParser

  Parser used to parse conjunction form of constraints, such as AND(A, ..., B), OR(A, ..., B).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConjunctionConstraintParser(String expr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlacementConstraint.AbstractConstraint` | `parse()`

    - ### Methods inherited from class org.apache.hadoop.yarn.util.constraint.PlacementConstraintParser.ConstraintParser

      `tryParse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConjunctionConstraintParser

          public ConjunctionConstraintParser(String expr)

  - ### Method Detail

    - #### parse

          public PlacementConstraint.AbstractConstraint parse()
                                                       throws PlacementConstraintParseException

      Specified by:
        `parse` in class `PlacementConstraintParser.ConstraintParser`
      Throws:
        `PlacementConstraintParseException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.